using System;
using System.Collections.Generic;
using System.Text;

namespace nft.ui.form
{
    public delegate bool XFormEvent(IxForm sender, IxControl related);

    public interface IxForm
    {        
        string Name { get; }
        IxControl Find(string name);
        IEnumerator<IxControl> EnumControls();
        bool Visible { get; set; }

        event XFormEvent OnOpen;
        event XFormEvent OnClose;
        event XFormEvent VisibleChanged;
        event XFormEvent ControlValuesChanged;
        event XFormEvent OnApply;
    }
}
